Subject: [alpine-aports] [PATCH] testing/xcursor-themes: new aport

From: AmatCoder <[email-masked]>
Date: Tue, 30 Dec 2014 07:36:24 +0000

---
 testing/xcursor-themes/APKBUILD | 42 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/xcursor-themes/APKBUILD

diff --git a/testing/xcursor-themes/APKBUILD b/testing/xcursor-themes/APKBUILD
new file mode 100644
index 0000000..d3b3cd3
--- /dev/null
+++ b/testing/xcursor-themes/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: August Klein <[email-masked]>
+# Maintainer: August Klein <[email-masked]>
+pkgname=xcursor-themes
+pkgver=1.0.4
+pkgrel=0
+pkgdesc="X.org Cursor themes"
+url="http://xorg.freedesktop.org"
+arch="noarch"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="libxcursor-dev util-macros xcursorgen"
+install=""
+subpackages=""
+source="http://xorg.freedesktop.org/releases/individual/data/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="c82628f35e9950ba225050ad5803b92a  xcursor-themes-1.0.4.tar.gz"
+sha256sums="8ed23bab13a4010fe4e95b37eefb634e31ac7cb8240b8b3b7d919c3a2db09503  xcursor-themes-1.0.4.tar.gz"
+sha512sums="6f26a3f9bfb5f6ba4edca9aab1a09e599863d51c5b0d0f9f5da623d3a5c3ef84eb22067af4635522040cdcc992beb6386e5cac3828a80b8ddcdfe077cfc05d1a  xcursor-themes-1.0.4.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---